Bug 477151 - Fix dependencies and directories in NetworkManager-vpnc
Fix dependencies and directories in NetworkManager-vpnc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 07:18 EST by Peter Robinson
Modified: 2009-03-08 15:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 23:18:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-12-19 07:18:21 EST
There's a few issues with the .spec file that could be cleaned up.

libpng is not used so is an unneeded BuildReq
BuildRequires: libpng-devel

NM-vpnc needs to own the following dir
%{_datadir}/gnome-vpn-properties/vpnc/

Some of the actual Requires could also be dropped as things like gtk will be automatically determined.
Comment 1 Fedora Update System 2009-01-04 21:28:12 EST
NetworkManager-0.7.0-1.git20090102.fc10,NetworkManager-vpnc-0.7.0-1.svn13.fc10,NetworkManager-openvpn-0.7.0-18.svn11.fc10,NetworkManager-pptp-0.7.0-1.svn16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-1.git20090102.fc10,NetworkManager-vpnc-0.7.0-1.svn13.fc10,NetworkManager-openvpn-0.7.0-18.svn11.fc10,NetworkManager-pptp-0.7.0-1.svn16.fc10
Comment 2 Fedora Update System 2009-01-04 21:30:11 EST
NetworkManager-0.7.0-1.git20090102.fc9,NetworkManager-vpnc-0.7.0-1.svn13.fc9,NetworkManager-openvpn-0.7.0-18.svn11.fc9,NetworkManager-pptp-0.7.0-1.svn16.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-1.git20090102.fc9,NetworkManager-vpnc-0.7.0-1.svn13.fc9,NetworkManager-openvpn-0.7.0-18.svn11.fc9,NetworkManager-pptp-0.7.0-1.svn16.fc9
Comment 3 Fedora Update System 2009-01-07 04:08:45 EST
NetworkManager-0.7.0-1.git20090102.fc10, NetworkManager-vpnc-0.7.0-1.svn13.fc10, NetworkManager-openvpn-0.7.0-18.svn11.fc10, NetworkManager-pptp-0.7.0-1.svn16.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0023
Comment 4 Fedora Update System 2009-01-07 04:36:52 EST
NetworkManager-0.7.0-1.git20090102.fc9, NetworkManager-vpnc-0.7.0-1.svn13.fc9, NetworkManager-openvpn-0.7.0-18.svn11.fc9, NetworkManager-pptp-0.7.0-1.svn16.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0222
Comment 5 Fedora Update System 2009-01-07 23:17:50 EST
NetworkManager-0.7.0-1.git20090102.fc10, NetworkManager-vpnc-0.7.0-1.svn13.fc10, NetworkManager-openvpn-0.7.0-18.svn11.fc10, NetworkManager-pptp-0.7.0-1.svn16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-03-06 12:51:36 EST
NetworkManager-0.7.0.99-1.fc9,NetworkManager-vpnc-0.7.0.99-1.fc9,NetworkManager-openvpn-0.7.0.99-1.fc9,NetworkManager-pptp-0.7.0.99-1.fc9,NetworkManager-openconnect-0.7.0.99-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-1.fc9,NetworkManager-vpnc-0.7.0.99-1.fc9,NetworkManager-openvpn-0.7.0.99-1.fc9,NetworkManager-pptp-0.7.0.99-1.fc9,NetworkManager-openconnect-0.7.0.99-1.fc9
Comment 7 Fedora Update System 2009-03-08 15:30:07 EDT
NetworkManager-0.7.0.99-1.fc9, NetworkManager-vpnc-0.7.0.99-1.fc9, NetworkManager-openvpn-0.7.0.99-1.fc9, NetworkManager-pptp-0.7.0.99-1.fc9, NetworkManager-openconnect-0.7.0.99-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.